use nalgebra::DVector;
use slab::Slab;
use sycamore::reactive::Signal;

#[derive(Clone, PartialEq)]
pub struct Element {
    pub id: String,
    pub label: String,
    pub color: [f32; 3],
    pub rep: DVector<f64>,
    pub key: usize
}

// a complete, view-independent description of an assembly
#[derive(Clone)]
pub struct Assembly {
    pub elements: Signal<Slab<Element>>
}